package com.njzscloud.supervisory.sys.menu.contant;

import com.njzscloud.common.core.ienum.DictStr;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * 菜单类型
 */
@Getter
@RequiredArgsConstructor
public enum MenuCategory implements DictStr {
    Catalog("Catalog", "目录"),
    Group("Group", "组"),
    Page("Page", "页面"),
    SubPage("SubPage", "子页面"),
    Btn("Btn", "按钮");

    private final String val;
    private final String txt;
}
